Drop support for Bundler prior to 1.12.0

2020-01-20 06:20 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 4.2.0   

Description

r19425 added "ruby" directive in Gemfile in order to reject Ruby 2.7, but the directive causes parse error if the version of bundler is

earlier than 1.12.0 (released in April 2016).

$ bundle update

[!] There was an error parsing `Gemfile`: no implicit conversion of Symbol into Integer. Bundler c

annot continue.

 #  from /Users/maeda/redmines/trunk/Gemfile:3

 #  -------------------------------------------

 #

 >  ruby '>= 2.3.0', '< 2.7.0'

 #  gem "bundler", ">= 1.5.0" 

 #  -------------------------------------------

 The attached patch changes the minimum required version of bundler described in Gemfile and doc/INSTALL.

Related issues:

Related to Redmine - Patch #32788: Specify supported Ruby version in Gemfile ... Closed

Blocked by Redmine - Defect #32839: Redmine 4.1 installation fails due to an ... Closed

Associated revisions

Revision 19468 - 2020-01-27 15:02 - Go MAEDA

Drop support for Bundler prior to 1.12.0 (#32841).

Patch by Go MAEDA.

History

#1 - 2020-01-20 07:23 - Go MAEDA

- Target version set to 4.0.7

Setting the target version to 4.0.7.

#2 - 2020-01-20 07:25 - Go MAEDA

- Blocked by Defect #32839: Redmine 4.1 installation fails due to an attempt to install sprockets 4.0.0 if bundler prior to 1.15.2 is used on Ruby prior to

2.5 added

#3 - 2020-01-25 03:36 - Go MAEDA

- Related to Patch #32788: Specify supported Ruby version in Gemfile and doc/INSTALL added

#4 - 2020-01-25 06:26 - Go MAEDA

- Target version deleted (4.0.7)

I think #32788#note-7 is a better solution because it does not force admins to update bundler.

Removing the target version.

#5 - 2020-01-26 02:37 - Go MAEDA
- File drop-support-for-bundler-prior-to-1_12.patch added

- Subject changed from Change the minimum required version of bundler to 1.12.0 to Drop support for Bundler prior to 1.12.0

- Target version set to 4.2.0

Go MAEDA wrote:

I think #32788#note-7 is a better solution because it does not force admins to update bundler.

 The change has been committed as r19463 but "if Bundler::VERSION >= '1.12.0'" does not look good. So, I suggest dropping the support for the

Bundler before 1.12.0 in Redmine 4.2.0.

Although raising the minimum required version of Bundler in minor releases may inconvenience some users, raising in major releases is not a matter

because users expect that major releases have many big changes.

The attached patch changes Gemfile to require Bundler 1.12.0 or later.

#6 - 2020-01-27 15:02 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

Files

require-bundler-1_12-or-later.diff 649 Bytes 2020-01-20 Go MAEDA

drop-support-for-bundler-prior-to-1_12.patch 652 Bytes 2020-01-26 Go MAEDA
